# váltsunk át a Python 2.7-es értelmezőre!
import arcpy

import os
python_munkamappa = os.getcwd() # az a mappa, ahol éppen fut a python-szkript
adatok_mappaja = python_munkamappa + "/adatok"
arcpy.env.workspace
arcpy.env.workspace = adatok_mappaja # Az elérési út ne tartalmazzon speciális karaktereket, ékezetes betűket stb.!
# arcpy.env.workspace = "S:/Ideiglenes/bevprog/adatok" # én inkább mindent átmásoltam ide

arcpy.Copy_management(in_data = "folyok.shp", out_data = "proba.shp")
arcpy.Delete_management(in_data = "proba.shp")
arcpy.management.Copy(in_data = "folyok.shp", out_data = "proba.shp")
arcpy.management.Delete(in_data = "proba.shp")
from arcpy.management import Delete
Delete(in_data = "proba.shp")
eredmeny = Delete(in_data = "proba.shp")
eredmeny # <Result 'true'>
print(eredmeny) # true

raszterfajlok = arcpy.ListRasters()
type(raszterfajlok) # lista
raszterfajlok[0] # u'felszinhomerseklet.tif'
type(raszterfajlok[0]) # Unicode karakterkódolású szöveg ("unicode" típus)
vektorfajlok = arcpy.ListFeatureClasses()
for vektorfajl in vektorfajlok:
    print(vektorfajl)
arcpy.Exists("folyok.shp") # igaz
arcpy.Exists("nincsisilyenfajl.shp") # hamis

mezok = arcpy.ListFields(vektorfajlok[0]) # a folyok.shp oszlopai/mezői
type(mezok) # lista
type(mezok[0]) # Field
for mezo in mezok:
    print("A mezo neve: " + mezo.name + ", tipusa: " + mezo.type + ", hossza: " + str(mezo.length)) # ne használjunk ékezetes szövegeket!

jellemzok = arcpy.Describe("folyok.shp")
type(jellemzok) # describe
jellemzok.datasetType # adattípus
jellemzok.shapeType # geometriatípus (poligon)
jellemzok.name # fájlnév
jellemzok.path # elérési út
jellemzok.fields # a mezők másképp elérve
jellemzok.extent # a befoglaló doboz
jellemzok.extent.XMin
jellemzok.extent.YMax
jellemzok.spatialReference # a vetület
jellemzok.spatialReference.name # u'Hungarian_1972_Egyseges_Orszagos_Vetuleti'
jellemzok.spatialReference.type # u'Projected'

jellemzok.bandCount # hibát dob, a vektornak nincs ilyen tulajdonsága
jellemzok = arcpy.Describe("pilis_dem.tif")
jellemzok.bandCount # rétegek száma (1)
jellemzok.format # raszterformátum (TIFF)
jellemzok = arcpy.Describe("pilis_dem.tif/Band_1")
jellemzok.width # szélesség (cellaszám)
jellemzok.height # magasság (cellaszám)
jellemzok.noDataValue # ismeretlen cellák kódolása
jellemzok.spatialReference.type
