import arcpy
import arcpy.mapping as mp
# arcpy.env.workspace = "S:/Ideiglenes/bevprog/adatok" # én inkább mindent átmásoltam ide

dokumentum = mp.MapDocument(arcpy.env.workspace + "/masolat.mxd")
dokumentum.saveACopy(arcpy.env.workspace + "/masolat2.mxd")
dokumentum = mp.MapDocument(arcpy.env.workspace + "/masolat2.mxd")
print("A(z) " + dokumentum.title + " cimu dokumentum szerzoje " + dokumentum.author + ".")
print("Utoljara ekkor modositottak: " + str(dokumentum.dateSaved))
if len(dokumentum.summary) == 0:
    dokumentum.summary = "Ez egy mintadokumentum. Igazabol csak a gyakorlashoz hoztuk letre."

for reteg in mp.ListLayers(dokumentum): 
    print(reteg.name)
    if (reteg.isFeatureLayer):
        reteg.visible = True
    elif (reteg.isRasterLayer):
        reteg.visible = False
    else:
        print("Specialis reteg, nem tudom, mit kezdjek vele.")
dokumentum.save()

mp.ExportToJPEG(map_document = dokumentum, out_jpeg = "masolat2.jpg")
